#define WIFI_NAME "***********"
#define WIFI_PASSWORD "**************"            // Wi-Fi adınızı ve şifrenizi giriyorsunuz. Fakat burası RemoteMe sayfasında kod alma işlemlerini yaptıktan sonra hazırda veriliyor.
#define DEVICE_ID 2
#define DEVICE_NAME "DHT11"
#define TOKEN "**************************"


#include <RemoteMe.h>
#include <RemoteMeSocketConnector.h>
#include <ESP8266WiFi.h>


#include "DHT.h"                 // DHT11 sensör kütüphanelerini ekliyoruz.
#define DHTPIN 5                             // Sensör okuma yapmak için pinimizi belirliyoruz.
#define DHTTYPE DHT11           // DHT11 sensör tipi belirtmemiz gerekiyor.

DHT dht(DHTPIN, DHT11);        // DHT okuma yapabilmesi için dht adında bir parametre belirtiyoruz.


RemoteMe& remoteMe = RemoteMe::getInstance(TOKEN, DEVICE_ID);              


inline void setNem(int32_t h) {remoteMe.getVariables()->setInteger("nem", h); }
inline void setSicaklik(int32_t t) {remoteMe.getVariables()->setInteger("sicaklik", t); }

void onNemChange(int32_t h) {
  
}
void onSicaklikChange(int32_t t) {
}

// Kodumuzun buradaki kısmında yapacağımız işlemler bu kadar geri kalan kısımları sayfamız bize hazırda veriyor.



void setup() {
  Serial.begin(9600);         //Serial haberleşme başlatmamız gerekiyor.
  
  dht.begin();       // Burada dht sensör okuma başlatmamız gerekiyor.

  
  WiFi.begin(WIFI_NAME, WIFI_PASSWORD);
                                                                // Buradaki kodlarımızı sayfamız hazız vermektedir. Bu kısım bizim kartımızın internet bağlantısı yapması için yazıyoruz.

  while (WiFi.status() != WL_CONNECTED) {
    delay(100);
  }

  
  remoteMe.getVariables()->observeInteger("nem" ,onNemChange);
  
  remoteMe.getVariables()->observeInteger("sicaklik" ,onSicaklikChange);

  remoteMe.setConnector(new RemoteMeSocketConnector());
  remoteMe.sendRegisterDeviceMessage(DEVICE_NAME);                        // Bu sıra kodlarını sayfamız yine hazırda vermektedir. sayfa haberleşmesi için kullanılan bu kodları silmeyiniz.
}


void loop() { 
  remoteMe.loop();               // Loop kısmına geldiğimizde RemoteMe çalıştırıyoruz. 
  
  setNem(dht.readHumidity());         // Daha sonra yukarıda sistemimizin vermiş oldupu Void içerisinde belirlenmiş nem ve sıcaklık içerisinde Set komutu ile gönderme yapıyoruz. Set komutu içerisinde nem ve sıcaklık okuması yapıyoruz.
  
  setSicaklik(dht.readTemperature());
  
}
